Skills
Update a skill
Modifies the specified skill's configuration.
パス パラメーター
name
string
必須
The name of the skill to update.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
要求本文
default_version
string
必須
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
応答
The request has succeeded.
本文
id
string
必須
The unique identifier of the skill.
name
string
必須
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
必須
A human-readable description of the skill.
default_version
string
必須
The default version for the skill. Can be changed via updateSkill.
latest_version
string
必須
The latest version for the skill.
要求
POST /skills/{name} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json